Bug 75778 - (FLOPPY P4-TE)floppy0: no floppy controllers found
(FLOPPY P4-TE)floppy0: no floppy controllers found
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
8.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
http://taco.ijsselmuiden.org/linux-ke...
:
: 78874 83333 (view as bug list)
Depends On: 83333
Blocks:
  Show dependency treegraph
 
Reported: 2002-10-12 02:44 EDT by Greg Combs
Modified: 2008-08-01 12:22 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:40:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Greg Combs 2002-10-12 02:44:12 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20020830

Description of problem:
During the installation of RH 8.0 my floppy is recognized and I am able to
create a bootable disk.  However after installation my floppy controller is no
longer recognized.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Install RH 8.0 on a ASUS P4T-E and install grub onto boot partition
2.After install. Reboot without bootable floppy created during install process.
3.After reboot. Login and try to mount the floppy.  
	

Actual Results:  I was unable to mount my floppy drive.  The error message I
received was something like "/mnt/floppy is not located in the fstab or mtab".

I then tried "mount  /dev/fd0 /mnt/floppy" and recieved the error like
/mnt/floppy not a directory.

I then did a "mkdir /mnt/floppy" and tried "mount /mnt/fd0 /mnt/floppy" and
received the error of /mnt/floppy is not a valid block device.

Expected Results:  My floppy should have been mounted to the /mnt/floppy
directory for access.

Additional info:

After many reinstalls and searching on the Internet I found the above url where
Mikael Pettersson was running into the same problem.  I tried his fix but this
didn't correct the problem with my floppy drive.  After contacting Mikael
Pettersson he suggested using the boot disk created during install.  Utilizing
the boot floppy allowed the floppy controller to be recognized and be used after
reboot.  I am currently running RH 8.0 on a P4T-E with a P-4 2Gig processor with
a dual boot system running on a SIIG Ultra ATA 133 PCI ide controller card with
4 Western Digital 40Gig Hard Drives.  The two excerps from Mr. Pettersson's
dmesg are exactly what happened in my dmesg.
Comment 1 max 2003-03-05 05:43:22 EST
Problem known with (almost all) P4-TE Asus motherboards not recognizing floppy
at boot; the bug does not depend on Rh 8.0, and is reproducible with different
linux distributions too.

Proposed workaround: compile floppy as a module. It delays floppy recognition
and then system works reliably. Tested on RH 7.2, I am recompiling 8.0 to test
it again.
Comment 2 Alan Cox 2003-06-07 22:03:34 EDT
*** Bug 78874 has been marked as a duplicate of this bug. ***
Comment 3 Alan Cox 2003-06-07 22:04:11 EDT
*** Bug 83333 has been marked as a duplicate of this bug. ***
Comment 4 Bill Nottingham 2003-08-01 14:42:17 EDT
Does this work with the floppy built in in a 2.4.21 or later kernel? (As that
patch is applied there.)
Comment 5 Bugzilla owner 2004-09-30 11:40:03 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.